Bug 880240 - (CVE-2012-5574) CVE-2012-5574 php-symfony-symfony: Ability to read arbitrary files on the server, readable with the web server privileges
CVE-2012-5574 php-symfony-symfony: Ability to read arbitrary files on the ser...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20121125,reported=2...
: Security
Depends On: 880245 880247
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-26 09:59 EST by Jan Lieskovsky
Modified: 2013-04-23 23:53 EDT (History)
1 user (show)

See Also:
Fixed In Version: Symfony 1.4.20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-23 23:53:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-11-26 09:59:07 EST
An information disclosure flaw was found in the way Symfony, a open-source PHP web framework, sanitized certain HTTP POST request values. A remote attacker could use this flaw to obtain (unauthorized) read access to arbitrary system files, readable with the privileges of the web server process.

References:
[1] http://symfony.com/blog/security-release-symfony-1-4-20-released
[2] https://bugs.gentoo.org/show_bug.cgi?id=444696

Relevant upstream patch:
[3] http://trac.symfony-project.org/changeset/33598
Comment 1 Jan Lieskovsky 2012-11-26 10:01:32 EST
This issue affects the versions of the php-symfony-symfony package, as shipped with Fedora release of 16 and 17. Please schedule an update.

--

This issue affects the version of the php-symfony-package, as shipped with Fedora EPEL 6. Please schedule an update.
Comment 2 Jan Lieskovsky 2012-11-26 10:03:13 EST
Created php-symfony-symfony tracking bugs for this issue

Affects: fedora-all [bug 880245]
Affects: epel-6 [bug 880247]
Comment 3 Jan Lieskovsky 2012-11-26 10:07:52 EST
CVE Request:
  http://www.openwall.com/lists/oss-security/2012/11/26/5
Comment 4 Jan Lieskovsky 2012-11-27 05:34:35 EST
The CVE identifier of CVE-2012-5574 has been assigned to this issue:
  http://www.openwall.com/lists/oss-security/2012/11/26/12
Comment 5 Fedora Update System 2012-12-01 04:49:33 EST
php-symfony-symfony-1.4.20-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-12-06 01:55:40 EST
php-symfony-symfony-1.4.20-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-12-06 01:56:10 EST
php-symfony-symfony-1.4.20-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-12-12 17:53:00 EST
php-symfony-symfony-1.4.20-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.